Intermittent devtools/client/responsive.html/test/browser/browser_navigation.js | documentURI matches page 2 - Got chrome://devtools/content/responsive.html/index.xhtml, expected http://example.com/browser/

ASSIGNED
Assigned to

Status

()

Firefox
Developer Tools: Responsive Design Mode
P5
normal
ASSIGNED
23 days ago
11 days ago

People

(Reporter: Treeherder Bug Filer, Assigned: jryans)

Tracking

({intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

23 days ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=141385804&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/Okqf5syNQom_1zh_qitjRA/runs/0/artifacts/public/logs/live_backing.log

Comment 1

22 days ago
22 failures in 143 pushes (0.154 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-central: 9
* mozilla-inbound: 5
* autoland: 5
* try: 3

Platform breakdown:
* linux64: 12
* osx-10-10: 4
* linux64-stylo-disabled: 3
* linux32: 2
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1413765&startday=2017-11-02&endday=2017-11-02&tree=all

Comment 2

21 days ago
This bug was filed 2 days ago and has already failed 50 times in this time frame. It is mostly failing on Linux and has a few fails on OSX as well. Build types are mostly OPT and a few PGO.

Here is a recent log:
https://bugzilla.mozilla.org/show_bug.cgi?id=1412035

And here is a part of the log:

[task 2017-11-04T05:16:21.799Z] 05:16:21     INFO - Opening responsive design mode
[task 2017-11-04T05:16:22.039Z] 05:16:22     INFO - GECKO(2067) | JavaScript error: chrome://global/content/viewZoomOverlay.js, line 47: TypeError: zoom is undefined
[task 2017-11-04T05:16:22.041Z] 05:16:22     INFO - GECKO(2067) | JavaScript error: resource:///modules/ZoomUI.jsm, line 69: TypeError: win.gBrowser is undefined
[task 2017-11-04T05:16:22.136Z] 05:16:22     INFO - Console message: [JavaScript Error: "TypeError: zoom is undefined" {file: "chrome://global/content/viewZoomOverlay.js" line: 47}]
[task 2017-11-04T05:16:22.136Z] 05:16:22     INFO - Console message: [JavaScript Error: "TypeError: win.gBrowser is undefined" {file: "resource:///modules/ZoomUI.jsm" line: 69}]
[task 2017-11-04T05:16:22.138Z] 05:16:22     INFO - GECKO(2067) | JavaScript error: resource://gre/modules/RemoteAddonsParent.jsm, line 1111: TypeError: cannot use the given object as a weak map key
[task 2017-11-04T05:16:22.160Z] 05:16:22     INFO - Console message: [JavaScript Error: "TypeError: cannot use the given object as a weak map key" {file: "resource://gre/modules/RemoteAddonsParent.jsm" line: 1111}]
[task 2017-11-04T05:16:22.197Z] 05:16:22     INFO - Responsive design mode opened
[task 2017-11-04T05:16:22.202Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going back is allowed - 
[task 2017-11-04T05:16:22.203Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going forward is allowed - 
[task 2017-11-04T05:16:22.203Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | documentURI matches page 1 - 
[task 2017-11-04T05:16:22.203Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | contentTitle matches page 1 - 
[task 2017-11-04T05:16:22.839Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going back is allowed - 
[task 2017-11-04T05:16:22.839Z] 05:16:22     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going forward is not allowed - 
[task 2017-11-04T05:16:22.844Z] 05:16:22     INFO - TEST-INFO | started process screentopng
[task 2017-11-04T05:16:23.413Z] 05:16:23     INFO - TEST-INFO | screentopng: exit 0
[task 2017-11-04T05:16:23.415Z] 05:16:23     INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive.html/test/browser/browser_navigation.js | documentURI matches page 2 - Got chrome://devtools/content/responsive.html/index.xhtml, expected http://example.com/browser/
[task 2017-11-04T05:16:23.416Z] 05:16:23     INFO - Stack trace:
[task 2017-11-04T05:16:23.417Z] 05:16:23     INFO -     chrome://mochikit/content/browser-test.js:test_is:1010
[task 2017-11-04T05:16:23.418Z] 05:16:23     INFO -     chrome://mochitests/content/browser/devtools/client/responsive.html/test/browser/browser_navigation.js:null:53
[task 2017-11-04T05:16:23.419Z] 05:16:23     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:797:9
[task 2017-11-04T05:16:23.420Z] 05:16:23     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:697:9
[task 2017-11-04T05:16:23.421Z] 05:16:23     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
[task 2017-11-04T05:16:23.423Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | contentTitle matches page 2 - 
[task 2017-11-04T05:16:23.424Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going back is not allowed - 
[task 2017-11-04T05:16:23.425Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going forward is allowed - 
[task 2017-11-04T05:16:23.426Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | documentURI matches page 0 - 
[task 2017-11-04T05:16:23.427Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | contentTitle matches page 0 - 
[task 2017-11-04T05:16:23.428Z] 05:16:23     INFO - Looking up example.com…
[task 2017-11-04T05:16:23.430Z] 05:16:23     INFO - Transferring data from example.com…
[task 2017-11-04T05:16:23.431Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | 2 status changes while loading - 
[task 2017-11-04T05:16:23.434Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going back is allowed - 
[task 2017-11-04T05:16:23.443Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Going forward is not allowed - 
[task 2017-11-04T05:16:23.446Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | documentURI matches page 3 - 
[task 2017-11-04T05:16:23.447Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | contentTitle matches page 3 - 
[task 2017-11-04T05:16:23.449Z] 05:16:23     INFO - Closing responsive design mode
[task 2017-11-04T05:16:23.452Z] 05:16:23     INFO - GECKO(2067) | JavaScript error: resource:///modules/ZoomUI.jsm, line 69: TypeError: win.gBrowser is undefined
[task 2017-11-04T05:16:23.454Z] 05:16:23     INFO - Responsive design mode closed
[task 2017-11-04T05:16:23.456Z] 05:16:23     INFO - Console message: [JavaScript Error: "TypeError: win.gBrowser is undefined" {file: "resource:///modules/ZoomUI.jsm" line: 69}]
[task 2017-11-04T05:16:23.458Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | At page 1 in history - 
[task 2017-11-04T05:16:23.460Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | 2 pages in history - 
[task 2017-11-04T05:16:23.465Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Page 0 URL matches - 
[task 2017-11-04T05:16:23.466Z] 05:16:23     INFO - TEST-PASS | devtools/client/responsive.html/test/browser/browser_navigation.js | Page 1 URL matches - 
[task 2017-11-04T05:16:23.466Z] 05:16:23     INFO - Removing tab.
[task 2017-11-04T05:16:23.467Z] 05:16:23     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2017-11-04T05:16:23.468Z] 05:16:23     INFO - Got event: 'TabClose' on [object XULElement].
[task 2017-11-04T05:16:23.469Z] 05:16:23     INFO - Tab removed and finished closing
[task 2017-11-04T05:16:23.470Z] 05:16:23     INFO - Leaving test bound 
[task 2017-11-04T05:16:23.472Z] 05:16:23     INFO - GECKO(2067) | MEMORY STAT | vsize 2563MB | residentFast 402MB | heapAllocated 163MB
[task 2017-11-04T05:16:23.473Z] 05:16:23     INFO - TEST-OK | devtools/client/responsive.html/test/browser/browser_navigation.js | took 2108ms
[task 2017-11-04T05:16:23.478Z] 05:16:23     INFO - checking window state
[task 2017-11-04T05:16:23.499Z] 05:16:23     INFO - TEST-START | devtools/client/responsive.html/test/browser/browser_network_throttling.js
[task 2017-11-04T05:16:23.509Z] 05:16:23     INFO - Entering test bound 
[task 2017-11-04T05:16:23.511Z] 05:16:23     INFO - Adding a new tab with URL: data:text/html;charset=utf-8,Network throttling test
[task 2017-11-04T05:16:23.630Z] 05:16:23     INFO - Tab added and finished loading

:jryans: Hi, This bug has failed a lot in the last 2 days. Can you please take a loot at it?
Flags: needinfo?(jryans)

Updated

21 days ago
Whiteboard: [stockwell needswork]

Comment 3

19 days ago
75 failures in 857 pushes (0.088 failures/push) were associated with this bug in the last 7 days. 

This is the #21 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 27
* mozilla-inbound: 24
* mozilla-central: 19
* try: 3
* mozilla-beta: 2

Platform breakdown:
* linux64: 31
* osx-10-10: 18
* linux32: 12
* linux64-stylo-disabled: 11
* linux64-nightly: 1
* linux32-nightly: 1
* linux32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1413765&startday=2017-10-30&endday=2017-11-05&tree=all
I'll disable it for now.  I hope to make the tests more reliable via bug 1414984.
Assignee: nobody → jryans
Status: NEW → ASSIGNED
Flags: needinfo?(jryans)
Keywords: leave-open
Comment hidden (mozreview-request)
(Assignee)

Comment 6

18 days ago
mozreview-review
Comment on attachment 8925733 [details]
Bug 1413765 - Disable RDM browser_navigation.js test for intermittents.

https://reviewboard.mozilla.org/r/196848/#review202060
Attachment #8925733 - Flags: review+

Comment 7

18 days ago
Pushed by jryans@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/c5417e806ad5
Disable RDM browser_navigation.js test for intermittents. r=jryans
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 8

18 days ago
Pushed by jryans@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/e06545e41fdf
Skip RDM browser_permission_doorhanger.js for permafail. r=me
(It appears that browser_permission_doorhanger.js can be affected by having been run before it, so it started permafailing on Linux 64-bit ASAN runs when browser_navigation.js was skipped.)

Comment 10

18 days ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/c5417e806ad5
https://hg.mozilla.org/mozilla-central/rev/e06545e41fdf

Comment 11

11 days ago
15 failures in 849 pushes (0.018 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 6
* mozilla-inbound: 5
* autoland: 4

Platform breakdown:
* linux64: 7
* osx-10-10: 3
* linux64-stylo-disabled: 3
* linux64-ccov: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1413765&startday=2017-11-06&endday=2017-11-12&tree=all
You need to log in before you can comment on or make changes to this bug.